Activity log for bug #1586292

Date Who What changed Old value New value Message
2016-05-27 08:04:22 su_v bug added bug
2016-05-27 08:08:58 su_v description Recent translation updates cause 'make check' (with autotools-based build) to fail - since Inkscape trunk builds have already switched to cmake, and the cmake test routines do not include tests for po or extensions, this error might have gone unnoticed: <...> Making check in po rm -f missing notexist srcdir=. /Volumes/magenta/mp-trunk/x11/bin/intltool-update -m if [ -r missing -o -r notexist ]; then \ exit 1; \ fi nl.po: parsing error for `<Program files>': #: ../share/extensions/plotter.py:151 msgid " into the following Inkscape folder: C:\\<Program files>\\inkscape\\python\\Lib\\" msgstr "" WARNING: Bad markup found in translations. Please consider fixing the above problems. make check_markup perl ./po/check-markup ./po/*.po || [ $? = 127 ] nl.po: parsing error for `<Program files>': #: ../share/extensions/plotter.py:151 msgid " into the following Inkscape folder: C:\\<Program files>\\inkscape\\python\\Lib\\" msgstr "" make[2]: *** [check_markup] Error 1 make[1]: *** [check-am] Error 2 make: *** [check-recursive] Error 1 The unescaped '<' and '>' are in inkscape.pot as well as in nl.po (as of rev 14919). I don't known whether this needs to be fixed in the source file itself (plotter.py) or whether the characters should have been escaped automatically in inkscape.pot on re-generation? Recent translation updates cause 'make check' (with autotools-based build) to fail - since Inkscape trunk PPA builds have already switched to cmake, and the cmake test routines do not include tests for po or extensions, this error might have gone unnoticed: <...> Making check in po rm -f missing notexist srcdir=. /Volumes/magenta/mp-trunk/x11/bin/intltool-update -m if [ -r missing -o -r notexist ]; then \    exit 1; \  fi nl.po: parsing error for `<Program files>': #: ../share/extensions/plotter.py:151 msgid " into the following Inkscape folder: C:\\<Program files>\\inkscape\\python\\Lib\\" msgstr "" WARNING: Bad markup found in translations. Please consider fixing the above problems. make check_markup perl ./po/check-markup ./po/*.po || [ $? = 127 ] nl.po: parsing error for `<Program files>': #: ../share/extensions/plotter.py:151 msgid " into the following Inkscape folder: C:\\<Program files>\\inkscape\\python\\Lib\\" msgstr "" make[2]: *** [check_markup] Error 1 make[1]: *** [check-am] Error 2 make: *** [check-recursive] Error 1 The unescaped '<' and '>' are in inkscape.pot as well as in nl.po (as of rev 14919). I don't known whether this needs to be fixed in the source file itself (plotter.py) or whether the characters should have been escaped automatically in inkscape.pot on re-generation?
2016-05-29 08:41:07 jazzynico inkscape: importance Undecided Medium
2016-05-29 08:41:07 jazzynico inkscape: status New In Progress
2016-05-29 08:41:07 jazzynico inkscape: milestone 0.92
2016-05-29 08:41:07 jazzynico inkscape: assignee jazzynico (jazzynico)
2016-05-30 05:27:03 Launchpad Janitor branch linked lp:inkscape
2016-05-30 05:27:28 jazzynico inkscape: status In Progress Fix Released
2016-05-30 05:27:28 jazzynico inkscape: milestone 0.92